#!/usr/local/bin/ruby
# drbauth.rb - DRbAuth module
#
# $Date: 2000/09/11 12:17:54 $
# Copyright (c) 2000 Masatoshi SEKI
#
# drbauth.rb is copyrighted free software by Masatoshi SEKI.
# You can redistribute it and/or modify it under the same term as Ruby.

require 'drb'
require 'drbauth'

begin
  there = DRbObject.new(nil, ARGV.shift)
  user = ARGV.shift 
  pass = ARGV.shift
rescue
  puts "usage: ruby #{$0} <uri> <user> <pass>"
end

DRb.start_service

ticket = DRbAuth::Ticket.new(user, pass, "who")
there.checkout(ticket)
p ticket.retrieve.msg

ticket = DRbAuth::Ticket.new(user, pass, "hello")
there.checkout(ticket)
p ticket.retrieve.msg

ticket = DRbAuth::Ticket.new(user, pass, "world")
there.checkout(ticket)
p ticket.retrieve.msg

